Skip to content

Get order status by customer order ID

GET
/v1/orders/{currencyPair}/customerorderid/{customerOrderId}

Returns the status of an order that was placed on the Exchange queried using customerOrderId. The customer can specify a customerOrderId while placing an order on the Exchange. Use this API to query the order status using that customerOrderId.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currencyPair*

The currency pair (e.g., BTCUSDT)

Type
string
Required
customerOrderId*

The order ID provided by the customer when creating the order

Type
string
Required

Responses

Order status retrieved successfully

application/json
JSON
{
"orderId": "0198178f-a957-7684-b650-eb987183f8e5",
"orderStatusType": "Filled",
"currencyPair": "ETHBTC",
"originalPrice": "0.03",
"remainingQuantity": "0",
"originalQuantity": "0.033333",
"orderSide": "sell",
"orderType": "post-only limit",
"failedReason": "",
"orderUpdatedAt": "2025-07-17T08:53:00.620Z",
"orderCreatedAt": "2025-07-17T08:45:47.735Z",
"customerOrderId": "LimitSell",
"timeInForce": "GTC"
}

Playground

Authorization
Variables
Key
Value

Samples